Skip to main content
Create Copytrade
curl --request POST \
  --url https://synthesis.trade/api/v1/wallet/pol/{wallet_id}/copytrade \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "target": "<string>",
  "mode": "<string>",
  "settings": {}
}
'
{
  "success": true,
  "response": {
    "copytrade_id": "01234567-89ab-cdef-0123-456789abcdef",
    "target": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
    "mode": "COPY",
    "status": "ACTIVE",
    "created_at": "2026-01-01T00:00:00"
  }
}

Authorizations

X-API-KEY
string
header
required

Account secret API key.

Path Parameters

wallet_id
string
required

Body

application/json
target
string
required

Target EVM address to track. Must be a valid address and cannot equal the wallet address.

mode
string
required

COPY or COUNTER.

settings
object
required

Copytrade settings payload containing filters, buy, and sell configuration.

Response

201 - application/json

Polygon copytrade created